//
//  ViewController.swift
//  SO-41291054
//
//  Created by Xavier Schott on 12/30/16.
//  Copyright © 2017 SwiftArchitect. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var webview: UIWebView!
    @IBOutlet weak var toolbar: UIToolbar!
    @IBOutlet weak var toolbarTopAnchor: NSLayoutConstraint!
    var toolbarVisible = true

    override func viewDidLoad() {
        super.viewDidLoad()
        webview.loadRequest(URLRequest(url: URL(string: "https://stackoverflow.com")!))
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

        @IBAction func doToggleVisibility(_ sender: Any) {
            toolbarVisible = !toolbarVisible
            UIView.animate(withDuration: 0.4) { 
                self.toolbarTopAnchor.constant = ((self.toolbarVisible)
                    ? 0
                    : -self.toolbar.frame.height)
                self.view.layoutIfNeeded()
            }
        }

}

